package test;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.lang.reflect.Field;

public class ListBundles {
    public static void main(String[] args) throws Exception {
        System.out.println("# ResourceBundles");
        System.out.println();
        try (BufferedReader reader = new BufferedReader(new InputStreamReader(ListBundles.class.getResourceAsStream("/resourcebundles.idx")))) {
            String bundle = null;
            while ((bundle = reader.readLine()) != null) {
                System.out.println("## " + bundle);
                System.out.println();
                Class resourceConstant = Class.forName(bundle);
                for (Field field : resourceConstant.getFields()) {
                    if (!field.getName().equals("RESOURCEBUNDLE")) {
                        System.out.println("- " + field.getName());
                    }
                }
            }
        }
    }
}
